Error: "Unable to find directory /etc/puppet/modules in environment production"
Pull request:    

Description

On our puppetmaster we have three environments setup using modulepaths that aren't /etc/puppet/modules.

In the GUI, if I do:

1) Settings -> Puppet Classes

2) Import New Puppet Classes and Environments

I get a popup error:

"Unable to find directory /etc/puppet/modules in environment production"

Gonna search bug tracker for this issue and am planning an upgrade to trunk to see if maybe it is resolved.

Related issues:

Related to Foreman - Bug #1068: Module path not guessed correctly with puppet... Closed 07/26/2011

Related to Foreman - Bug #1159: Class import behaviour not consistent "rake p... Closed 09/07/2011

History

#1 - 10/25/2011 12:06 AM - Brian Gupta

Upgraded tonight and still see the issue.

#2 - 01/29/2012 05:11 AM - Ohad Levy

- Status changed from New to Ready For Testing

I think this is solved already - could you try the suggestion in the following comment:

http://theforeman.org/issues/1159#note-8

#3 - 01/29/2012 01:10 PM - Brian Gupta

Yes, that resolved it. However, I thought that was a "workaround" not a solution, which is why I kept the ticket open. (My apologies for not updating

the ticket sooner.)

#4 - 07/04/2012 05:43 AM - Benjamin Papillon

- Status changed from Ready For Testing to Closed

Hello,

My thoughts are it is considered the good solution for the 0.4 version.

For the new 1.0 version, this solution is not valid anymore as you have to use smart proxy to import environments and classes
